Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class PIFMetrics

    java.lang.Object
      com.xensource.xenapi.XenAPIObject
          com.xensource.xenapi.PIFMetrics

    public class PIFMetrics

extends XenAPIObject

The metrics associated with a physical network interface

Nested Class Summary
`static class` | `PIFMetrics.Record` Represents all the fields in a PIFMetrics

Field Summary
`protected String` | `ref` The XenAPI reference (OpaqueRef) to this object.

Method Summary
`void` | `addToOtherConfig(Connection c, String key, String value)` Add the given key-value pair to the other_config field of the given PIF_metrics.
`boolean` | `equals(Object obj)` If obj is a PIFMetrics, compares XenAPI references for equality.
`static Set<PIFMetrics>` | `getAll(Connection c)` Return a list of all the PIF_metrics instances known to the system.
`static Map<PIFMetrics,PIFMetrics.Record>` | `getAllRecords(Connection c)` Return a map of PIF_metrics references to PIF_metrics records for all PIF_metrics instances known to the system.
`static PIFMetrics` | `getByUuid(Connection c, String uuid)` Get a reference to the PIF_metrics instance with the specified UUID.
`Boolean` | `getCarrier(Connection c)` Get the carrier field of the given PIF_metrics.
`String` | `getDeviceId(Connection c)` Get the device_id field of the given PIF_metrics.
`String` | `getDeviceName(Connection c)` Get the device_name field of the given PIF_metrics.
`Boolean` | `getDuplex(Connection c)` Get the duplex field of the given PIF_metrics.
`Double` | `getIoReadKbs(Connection c)` Get the io/read_kbs field of the given PIF_metrics.
`Double` | `getIoWriteKbs(Connection c)` Get the io/write_kbs field of the given PIF_metrics.
`Date` | `getLastUpdated(Connection c)` Get the last_updated field of the given PIF_metrics.
`Map<String,String>` | `getOtherConfig(Connection c)` Get the other_config field of the given PIF_metrics.
`String` | `getPciBusPath(Connection c)` Get the pci_bus_path field of the given PIF_metrics.
`PIFMetrics.Record` | `getRecord(Connection c)` Get a record containing the current state of the given PIF_metrics.
`Long` | `getSpeed(Connection c)` Get the speed field of the given PIF_metrics.
`String` | `getUuid(Connection c)` Get the uuid field of the given PIF_metrics.
`String` | `getVendorId(Connection c)` Get the vendor_id field of the given PIF_metrics.
`String` | `getVendorName(Connection c)` Get the vendor_name field of the given PIF_metrics.
`int` | `hashCode()`
`void` | `removeFromOtherConfig(Connection c, String key)` Remove the given key and its corresponding value from the other_config field of the given PIF_metrics.
`void` | `setOtherConfig(Connection c, Map<String,String> otherConfig)` Set the other_config field of the given PIF_metrics.
`String` | `toWireString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ref

    protected final String ref

  The XenAPI reference (OpaqueRef) to this object.

Method Detail

### toWireString

    public String toWireString()

  Specified by:
    `toWireString` in class `XenAPIObject`
  Returns:
    The XenAPI reference (OpaqueRef) to this object.

### equals

    public boolean equals(Object obj)

  If obj is a PIFMetrics, compares XenAPI references for equality.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getRecord

    public PIFMetrics.Record getRecord(Connection c)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Get a record containing the current state of the given PIF_metrics.

  Returns:
    all fields from the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getByUuid

    public static PIFMetrics getByUuid(Connection c,
                                       String uuid)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Get a reference to the PIF_metrics instance with the specified UUID.

  Parameters:
    `uuid` - UUID of object to return
  Returns:
    reference to the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getUuid

    public String getUuid(Connection c)
                   throws Types.BadServerResponse,
                          Types.XenAPIException,
                          org.apache.xmlrpc.XmlRpcException

  Get the uuid field of the given PIF_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getIoReadKbs

    public Double getIoReadKbs(Connection c)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Get the io/read_kbs field of the given PIF_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getIoWriteKbs

    public Double getIoWriteKbs(Connection c)
                         throws Types.BadServerResponse,
                                Types.XenAPIException,
                                org.apache.xmlrpc.XmlRpcException

  Get the io/write_kbs field of the given PIF_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getCarrier

    public Boolean getCarrier(Connection c)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Get the carrier field of the given PIF_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getVendorId

    public String getVendorId(Connection c)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Get the vendor_id field of the given PIF_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getVendorName

    public String getVendorName(Connection c)
                         throws Types.BadServerResponse,
                                Types.XenAPIException,
                                org.apache.xmlrpc.XmlRpcException

  Get the vendor_name field of the given PIF_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getDeviceId

    public String getDeviceId(Connection c)
                       throws Types.BadServerResponse,
                              Types.XenAPIException,
                              org.apache.xmlrpc.XmlRpcException

  Get the device_id field of the given PIF_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getDeviceName

    public String getDeviceName(Connection c)
                         throws Types.BadServerResponse,
                                Types.XenAPIException,
                                org.apache.xmlrpc.XmlRpcException

  Get the device_name field of the given PIF_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getSpeed

    public Long getSpeed(Connection c)
                  throws Types.BadServerResponse,
                         Types.XenAPIException,
                         org.apache.xmlrpc.XmlRpcException

  Get the speed field of the given PIF_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getDuplex

    public Boolean getDuplex(Connection c)
                      throws Types.BadServerResponse,
                             Types.XenAPIException,
                             org.apache.xmlrpc.XmlRpcException

  Get the duplex field of the given PIF_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getPciBusPath

    public String getPciBusPath(Connection c)
                         throws Types.BadServerResponse,
                                Types.XenAPIException,
                                org.apache.xmlrpc.XmlRpcException

  Get the pci_bus_path field of the given PIF_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getLastUpdated

    public Date getLastUpdated(Connection c)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Get the last_updated field of the given PIF_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getOtherConfig

    public Map<String,String> getOtherConfig(Connection c)
                                      throws Types.BadServerResponse,
                                             Types.XenAPIException,
                                             org.apache.xmlrpc.XmlRpcException

  Get the other_config field of the given PIF_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setOtherConfig

    public void setOtherConfig(Connection c,
                               Map<String,String> otherConfig)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Set the other_config field of the given PIF_metrics.

  Parameters:
    `otherConfig` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addToOtherConfig

    public void addToOtherConfig(Connection c,
                                 String key,
                                 String value)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Add the given key-value pair to the other_config field of the given PIF_metrics.

  Parameters:
    `key` - Key to add
    `value` - Value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeFromOtherConfig

    public void removeFromOtherConfig(Connection c,
                                      String key)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Remove the given key and its corresponding value from the other_config field of the given PIF_metrics. If the key is not in that Map, then do nothing.

  Parameters:
    `key` - Key to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAll

    public static Set<PIFMetrics> getAll(Connection c)
                                  throws Types.BadServerResponse,
                                         Types.XenAPIException,
                                         org.apache.xmlrpc.XmlRpcException

  Return a list of all the PIF_metrics instances known to the system.

  Returns:
    references to all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAllRecords

    public static Map<PIFMetrics,PIFMetrics.Record> getAllRecords(Connection c)
                                                           throws Types.BadServerResponse,
                                                                  Types.XenAPIException,
                                                                  org.apache.xmlrpc.XmlRpcException

  Return a map of PIF_metrics references to PIF_metrics records for all PIF_metrics instances known to the system.

  Returns:
    records of all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD